Subject: Re: bug#27231: regression?: grub-configuration for grub-efi does not return a bootloader-configuration

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 4 Jun 2017 16:25:13 +0200

On Sun, Jun 04, 2017 at 04:38:11PM +0300, Alex Kost wrote:
> This is a limitation of 'grub-configuration' macro: that backtrace
> happened because you have 'grub' field *not* in the first place of your
> 'grub-configuration'.
>
> […]
>
> Note that this will work if you put (grub grub-efi) in the first place:
> 
>   (grub-configuration (grub grub-efi)
>                       (device "/dev/sda"))
>

Ah… Thank you for clarifying.

  (bootloader (grub-configuration (grub grub-efi)
                                  (device "/dev/sda")))

I just tried and this fails too with the same error. I’m not sure why
it does not match the syntax rule for grub-configuration.

This macro seems complicated and unintuitive. I don’t like how a
syntax rule feigns being a record definition but isn’t and therefore
breaks things… Why not just inherit bootloader-configuration?

Regards,
Florian